Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356730 - [abrt] pitivi: previewers.py:900:_modulateRate:AssertionError
Summary: [abrt] pitivi: previewers.py:900:_modulateRate:AssertionError
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:36cad04e887cf8ade5d2f64a8d2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 21:15 UTC by Luya Tshimbalanga
Modified: 2016-09-22 11:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-13 22:39:44 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-14 21:15 UTC, Luya Tshimbalanga
no flags Details
File: environ (deleted)
2016-07-14 21:15 UTC, Luya Tshimbalanga
no flags Details
Proposed patch based on upstream commit (deleted)
2016-07-25 07:23 UTC, Luya Tshimbalanga
no flags Details | Diff

Description Luya Tshimbalanga 2016-07-14 21:15:42 UTC
Description of problem:
A crash occurred after importing a video file and displaying on a previewer. 
Running via terminal suggest a python issue failing to get async done. Note that pitivi was still able to run despite the isse. See an extract below:

$ pitivi
Traceback (most recent call last):
  File "/usr/lib64/python3.5/site-packages/pitivi/timeline/previewers.py", line 900, in _modulateRate
    assert res
AssertionError

(pitivi:7732): Gtk-WARNING **: Allocating size to GtkBox 0x5654b0769a50 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(pitivi:7732): Gtk-WARNING **: Allocating size to GtkBox 0x5654b0769a50 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(pitivi:7732): Gdk-CRITICAL **: Window 0x5654b125da10 has not been made visible in GdkSeatGrabPrepareFunc
ERROR 13:55:44 pipeline          pitivi+utils+pipeline+pipeline0 _asyncDoneNotReceivedCb: we didn't get async done, this is a bug (../../../../../usr/lib64/python3.5/site-packages/pitivi/utils/pipeline.py:296)
ERROR 13:55:44 pipeline          pitivi+utils+pipeline+pipeline0 _recover: Pipeline error detected during playback, resetting -- num tries: 0 (../../../../../usr/lib64/python3.5/site-packages/pitivi/utils/pipeline.py:459)

(pitivi:7732): GStreamer-CRITICAL **: gst_mini_object_unref: assertion 'mini_object->refcount > 0' failed
ERROR 14:03:28 pipeline          pitivi+utils+pipeline+pipeline0 _asyncDoneNotReceivedCb: we didn't get async done, this is a bug (../../../../../usr/lib64/python3.5/site-packages/pitivi/utils/pipeline.py:296)
ERROR 14:03:28 pipeline          pitivi+utils+pipeline+pipeline0 _recover: Pipeline error detected during playback, resetting -- num tries: 0 (../../../../../usr/lib64/python3.5/site-packages/pitivi/utils/pipeline.py:459)

Version-Release number of selected component:
pitivi-0.96-2.fc24

Additional info:
reporter:       libreport-2.7.1
cmdline:        python3 /usr/bin/pitivi
executable:     /usr/bin/pitivi
kernel:         4.6.3-300.fc24.x86_64
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
previewers.py:900:_modulateRate:AssertionError

Traceback (most recent call last):
  File "/usr/lib64/python3.5/site-packages/pitivi/timeline/previewers.py", line 900, in _modulateRate
    assert res
AssertionError

Local variables in innermost frame:
res: False
self: <pitivi.timeline.previewers.PipelineCpuAdapter object at 0x7fc108084fd0>
usage_percent: 37.52968153746657

Comment 1 Luya Tshimbalanga 2016-07-14 21:15:46 UTC
Created attachment 1179962 [details]
File: backtrace

Comment 2 Luya Tshimbalanga 2016-07-14 21:15:47 UTC
Created attachment 1179963 [details]
File: environ

Comment 3 Luya Tshimbalanga 2016-07-14 21:30:16 UTC
Added report to upstream her as bugzilla does not support full alphanumberic id
https://phabricator.freedesktop.org/T7510

Comment 4 Luya Tshimbalanga 2016-07-25 07:23:42 UTC
Created attachment 1183603 [details]
Proposed patch based on upstream commit

I made a temporary patch based on upstream commit below:
https://phabricator.freedesktop.org/rPTVb9675bd1147ac7be7cd7f96c38171352f824f5bc

Once pitivi 0.99 will land it can be dropped.

Comment 5 Luya Tshimbalanga 2016-08-13 22:39:44 UTC
Closing this report now that upstream release the fix for 0.97 which just landed on F25. Hopefully this version will be updated for F24.


Note You need to log in before you can comment on or make changes to this bug.